<?php

namespace Modules\PaymentWay\Interfaces;

use Modules\PaymentWay\Models\PaymentWay;

interface PaymentWayRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): PaymentWay;
    public function update(array $request, PaymentWay $paymentWay): PaymentWay;
    public function destroy(PaymentWay $paymentWay): void;
    public function destroyAll(array $ids): void;
    public function restore(PaymentWay $paymentWay): void;
    public function restoreAll(array $ids): void;
}
